Skip to content

Poll chat stream result

GET
/v1/adapters/llm/chat/stream/{id}
curl --request GET \
--url 'https://example.com/v1/adapters/llm/chat/stream/example?parts_behavior=on_finish_get_all' \
--header 'Authorization: Bearer <token>'
id
required
string

Chat stream id.

parts_behavior
string
Allowed values: on_finish_get_all on_finish_get_sentence

Stream completed and fully read

Media typeapplication/json
object
type
string
status
required
string
Allowed values: in_progress error finished completed
error
string
content
object
part
string
total
string
function_call

Deprecated: use tool_calls instead.

object
name
string
arguments

JSON-encoded argument string.

string
tool_calls
Array<object>
object
id
required
string
type
required
string
function
required

The function name and JSON-encoded arguments carried by a tool call.

object
name
string
arguments
string
Example
{
"status": "in_progress"
}

Stream in progress or finished but not fully read

Media typeapplication/json
object
type
string
status
required
string
Allowed values: in_progress error finished completed
error
string
content
object
part
string
total
string
function_call

Deprecated: use tool_calls instead.

object
name
string
arguments

JSON-encoded argument string.

string
tool_calls
Array<object>
object
id
required
string
type
required
string
function
required

The function name and JSON-encoded arguments carried by a tool call.

object
name
string
arguments
string
Example
{
"status": "in_progress"
}

Invalid request body or parameters

Media typeapplication/json

Canonical structured error emitted by the chat completion, chat stream and embeddings handlers (the shared errorResponse helper). code is an application error code (0 when unset); status mirrors the HTTP status.

object
name
required
string
message
required
string
code
required
integer
status
required
integer
Examplegenerated
{
"name": "example",
"message": "example",
"code": 1,
"status": 1
}

Unauthorized

Forbidden

Resource does not exist

Media typeapplication/json

Canonical structured error emitted by the chat completion, chat stream and embeddings handlers (the shared errorResponse helper). code is an application error code (0 when unset); status mirrors the HTTP status.

object
name
required
string
message
required
string
code
required
integer
status
required
integer
Examplegenerated
{
"name": "example",
"message": "example",
"code": 1,
"status": 1
}

Internal server error

Media typeapplication/json

Canonical structured error emitted by the chat completion, chat stream and embeddings handlers (the shared errorResponse helper). code is an application error code (0 when unset); status mirrors the HTTP status.

object
name
required
string
message
required
string
code
required
integer
status
required
integer
Examplegenerated
{
"name": "example",
"message": "example",
"code": 1,
"status": 1
}

Bad gateway (upstream adapter error)